Add Static Column

Add a single static column to an existing dataset.

POST https://api.futureagi.com/model-hub/develops/{dataset_id}/add_static_column/

Authentication

X-Api-Key API Key Required

Your Future AGI API key used to authenticate requests. You can find and manage your API keys in the Dashboard under Settings.

X-Secret-Key Secret Key Required

Your Future AGI secret key, used alongside the API key for request authentication. This is generated when you create an API key in the Dashboard.

Path parameters

dataset_id UUID Required

The dataset ID.

Request body

new_column_name string Required

Name for the column.

column_type string Required

Column data type. Values: text, number, boolean, json, image, audio, pdf.

source string Optional

Source type annotation for the column.

Response

200 OK
message string
Confirmation message.

Errors

400 Bad Request Optional
Invalid request parameters.
401 Unauthorized Optional
Invalid or missing API credentials.
404 Not Found Optional
The specified dataset was not found or does not belong to your organization.
500 Internal Server Error Optional
Unexpected server error.
GET /
Authentication
REQUEST
 
RESPONSE